#pragma once

#include <cstdint>
#include <vector>

namespace freling {

struct Mask {
    uint32_t width;
    uint32_t height;
    std::vector<bool> data;  // std::vector is specialized for bool

    Mask(uint32_t width, uint32_t height);

    void fill(bool b);
    void set(int x, int y, bool b);
    bool get(int x, int y);
};

}  // namespace freling
